Subject: Re: Future uncollectable computers...

From: "TeoZ" <[email-masked]>
Date: Mon Jul 21 17:36:01 2003

----- Original Message ----- 
From: "R. D. Davis" <[email-masked]>
To: <[email-masked]>
Sent: Monday, July 21, 2003 11:55 AM
Subject: Re: Future uncollectable computers...

> Quothe Fred N. van Kempen, from writings of Mon, Jul 21, 2003 at
10:30:07AM +0200:
>
> > On Fri, 18 Jul 2003, Zane H. Healy wrote:
> >
> > > I don't think this is a valid point.  The *average* PC user doesn't do
> > > incremental Upgrades, just like the average Mac user doesn't.
> > Indeed; they lack the skills to do so.  Which is usually why they call
> > upon their (more) geeky friends to do that for them.
>
> > Down here, I see people change their hardware at least once every year,
> > and the really geeky ones even more often.  The lost ones are in a
> [...]
>
> Something about all of this upgrade mania makes no sense to me.
> Upgrading just for the sake of upgrading seems rather pointless.  If I
> need more disk space, I'll just add another drive, or another file
> server.  If speed becomes an issue, which it rarely does (I'm talking
> about UNIX, not Windoze with all of it's super-duper crash-happy
> bloatware), I'll do processing on a faster system on the network, find
> a faster system at a hamfest, replace a PC's CPU with a faster CPU,
> etc... whatever's cheapest.  A 200 MHz CPU on a PC running FreeBSD,
> for example, is plenty fast for most things, from compiling large
> programs to the kind of processing needed for LaTeX (when writing
> manuscripts hundreds of pages long), Csound and Lilypond.  Peripherals
> such as keyboards, monitors and laser printers go for many, many,
> years without being replaced, unless they become unrepairable or
> higher-resolution is needed... 1280 x 1024 and 1024 x 768 displays
> have been available for many years.  Tape drives - those only get
> replaced with higher-capacity drives as storage needs increase.
> Network cards... well, those old 10MBit/s cards from a decade or so
> ago still work fine.
>

Alot of people use their computer as a status symbol just like people who
sell a perfectly good 3 yr old car at a loss to buy the newest model.
There are different hardware requirements for each age of PC's (IBM
compatible). The dos era programs ran fine of xt/at/386 systems, windows 3.x
on 386/486 systems and windows 9x on high end 486 to today. The main reason
people upgrade alot is because of computer gaming, especially the 3d games
of the last 5+ years.

My last job I was using a p200 compaq and it worked fine for the programs
and computations I had to run. A newer computer would have been nicer/faster
but wasnt manditory. The CAD guy made use of a dual p2-300/512mb ram/some
old expensive video card/9gb uwscsi system that is ancient but ran autocad
just fine on windows nt4.

I am building a nice collection of original 68k mac software that is still
fast and usefull even today on upgraded 68k machines (fast scsi hd's and max
memory) even though I have a xp1500 amd 512mb ddr and an ati 9000 video card
on my main game pc. If you have any boxed software for the 68k macs you dont
want let me know.

---

From: "Zane H. Healy" <[email-masked]>
Date: Mon Jul 21 17:38:00 2003

>Network cards... well, those old 10MBit/s cards from a decade or so

Congratulations, you just did a good job of showing why it doesn't make any sense to you, and proved you're not a typical user.  Most people (that's most people not on this list) don't have a network of various speeds of computers, so finding a faster system on their network isn't an option, just like adding another file server really doesn't make sense in a home environment.  As for a 200Mhz PC running FreeBSD being plenty fast for most things, it totally depends on what you do with the computer, and how much time you have to waste waiting on it.  I maintain that surfing on a system that slow is painful, it takes way to long to render the webpages.  Also, you can forget gaming, graphics, and video (well you can run older games and graphics apps, but video is still out). 

Basically my point is it's all in what you're using the computer for, as to if it's to slow or not.  There are other issues to consider as well, by upgrading, do you get something that is quieter, generates less heat and uses less power? 

Oh, and how many typical users have tape drives at home :^)

Still a lot of those upgrades are pointless.  Is it really worth upgrading to get a 5-10% increase in performance?  In certain cases, yes, but in most, no.

			Zane

-- 
--
| Zane H. Healy                    | UNIX Systems Administrator |
| [email-masked] (primary)    | OpenVMS Enthusiast         |
|                                  | Classic Computer Collector |
+----------------------------------+----------------------------+
|     Empire of the Petal Throne and Traveller Role Playing,    |
|          PDP-10 Emulation and Zane's Computer Museum.         |
|                http://www.aracnet.com/~healyzh/               |